BEGIN 9xDog

IF~NumTimesTalkedTo(0)~THEN BEGIN Dog000
SAY @0
IF~~THEN REPLY @1 GOTO Dog001
IF~~THEN REPLY @2 GOTO Dog002
IF~~THEN REPLY @3 GOTO Dog002
IF~~THEN REPLY @4 GOTO Dog003
END

IF~~THEN BEGIN Dog001
SAY @5
IF~~THEN GOTO Dog004
END

IF~~THEN BEGIN Dog002
SAY @6
IF~~THEN GOTO Dog004
END

IF~~THEN BEGIN Dog003
SAY @7
IF~~THEN DO ~Enemy() Attack([PC])~ EXIT
END

IF~~THEN BEGIN Dog004
SAY @8
IF~~THEN DO ~EscapeArea()~ EXIT
END